From: Andrey Rahmatullin <wrar@debian.org>
Date: Tue, 24 Aug 2021 23:11:08 +0500
Subject: Skip some doctests that don't work in a package.

---
 docs/usage.rst | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/docs/usage.rst b/docs/usage.rst
index e3eb91f..73ce0d0 100644
--- a/docs/usage.rst
+++ b/docs/usage.rst
@@ -878,6 +878,7 @@ Using CSS selectors in multi-root documents
 Some webpages may have multiple root elements. It can happen, for example, when
 a webpage has broken code, such as missing closing tags.
 
+.. skip: start
 .. invisible-code-block: python
 
    selector = load_selector('multiroot.html')
@@ -897,6 +898,7 @@ you need to precede your CSS query by an XPath query that reaches all root
 elements::
 
     selector.xpath('/*').css('<your CSS selector>')
+.. skip: end
 
 
 Command-Line Interface Tools
@@ -993,8 +995,6 @@ Let's download the atom feed using :mod:`requests` and create a selector:
 >>> text = requests.get('https://feeds.feedburner.com/PythonInsider').text
 >>> sel = Selector(text=text, type='xml')
 
-.. skip: end
-
 .. invisible-code-block: python
 
    sel = load_selector('python-insider.xml', type='xml')
@@ -1035,6 +1035,8 @@ directly by their names::
      <Selector query='//link' data='<link rel="next" type="application/at...'>,
      ...]
 
+.. skip: end
+
 If you wonder why the namespace removal procedure isn't called always by default
 instead of having to call it manually, this is because of two reasons, which, in order
 of relevance, are:
@@ -1067,8 +1069,6 @@ Let's use the same Python Insider Atom feed:
 >>> text = requests.get('https://feeds.feedburner.com/PythonInsider').text
 >>> sel = Selector(text=text, type='xml')
 
-.. skip: end
-
 .. invisible-code-block: python
 
    sel = load_selector('python-insider.xml', type='xml')
@@ -1090,6 +1090,8 @@ You can pass several namespaces (here we're using shorter 1-letter prefixes)::
      'https://img1.blogblog.com/img/b16-rounded.gif',
      ...]
 
+.. skip: end
+
 .. _topics-xpath-variables:
 
 Variables in XPath expressions
